#
# $Id: Makefile.inc 743138 2015-10-30 22:45:28Z ib-builder $ 
# Makefile.inc -- Makefile for standard C++ library for gcc
# Copyright (c) 2010-2012, Juniper Networks, Inc.
# All rights reserved.
#

.PATH: ${RELSRCTOP_PFE}/common/toolkits/libstdc++
.PATH: ${RELSRCTOP_PFE}/common/toolkits/libstdc++/embedded
.PATH: ${TOOLCHAIN_IN_JUNOS}/libstdc++-v3/src
.PATH: ${TOOLCHAIN_IN_JUNOS}/libstdc++-v3/config/io
.PATH: ${TOOLCHAIN_IN_JUNOS}/libstdc++-v3/config/locale/generic
.PATH: ${TOOLCHAIN_IN_JUNOS}/libstdc++-v3/libmath
.PATH: ${TOOLCHAIN_IN_JUNOS}/libstdc++-v3/libsupc++
.PATH: ${TOOLCHAIN_IN_JUNOS}/libiberty

MODULE_GROUP = LIBSTDCXX

LIBSTDCXX_CFLAGS = \
        -I${OBJTOP}/include/pfe/c++/

LIBSTDCXX_SRCS =  \
	libstdc++-bsd.cc \
	libstdc++-ukern.c

libstdc++.a = \
	allocator-inst.o \
	atomicity.o \
	basic_file_stdio.o \
	bitmap_allocator.o \
	c++locale.o \
	codecvt.o \
	codecvt_members.o \
	collate_members.o \
	compatibility.o \
	complex_io.o \
	concept-inst.o \
	cp-demangle.o \
	ctype.o \
	ctype_members.o \
	debug.o \
	debug_list.o \
	del_op.o \
	del_opnt.o \
	del_opv.o \
	del_opvnt.o \
	eh_alloc.o \
	eh_arm.o \
	eh_aux_runtime.o \
	eh_call.o \
	eh_catch.o \
	eh_exception.o \
	eh_globals.o \
	eh_personality.o \
	eh_term_handler.o \
	eh_terminate.o \
	eh_throw.o \
	eh_type.o \
	eh_unex_handler.o \
	ext-inst.o \
	fstream-inst.o \
	functexcept.o \
	globals_io.o \
	guard.o \
	ios-inst.o \
	ios.o \
	ios_failure.o \
	ios_init.o \
	ios_locale.o \
	iostream-inst.o \
	istream-inst.o \
	istream.o \
	limits.o \
	list.o \
	locale-inst.o \
	locale.o \
	locale_facets.o \
	locale_init.o \
	localename.o \
	messages_members.o \
	misc-inst.o \
	monetary_members.o \
	mt_allocator.o \
	new_handler.o \
	new_op.o \
	new_opnt.o \
	new_opv.o \
	new_opvnt.o \
	numeric_members.o \
	ostream-inst.o \
	pool_allocator.o \
	pure.o \
	sstream-inst.o \
	stdexcept.o \
	streambuf-inst.o \
	streambuf.o \
	string-inst.o \
	strstream.o \
	stubs.o \
	time_members.o \
	tinfo.o \
	tinfo2.o \
	tree.o \
	valarray-inst.o \
	vec.o \
	vterminate.o \
	wlocale-inst.o \
	wstring-inst.o

libstdc++-bsd.co = libstdc++-bsd.o

libstdc++-ukern.co = libstdc++-ukern.o

WARNINGS_NO += -Werror
WARNINGS_NO_CXX += -Werror

ATOMICITY_H = ${OBJTOP}/include/pfe/c++/atomicity.h

atomicity.cc: ${ATOMICITY_H}
	cp ${.ALLSRC} ${.TARGET}

c++locale.cc: c_locale.cc
	cp ${.ALLSRC} ${.TARGET}

#
# Module definitions:
#

#
# libstdc++.a
# GCC Standard C++ library + STL
#
LIBSTDC++-UKERN_name = libstdc++-ukern
LIBSTDC++-UKERN_type = application
LIBSTDC++-UKERN_entry = libstdcxx_init

.include <pfe.module.mk>
