/*
 * $Id: assert.h 565570 2013-02-08 23:23:49Z ib-builder $
 *
 * assert.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007-2008, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/assert.h.  pfe/include/assert.h
 * is a ukern-specific file which doesn't provide the standard assert() API.
 * Also, it defines an `__str' macro which interferes with one of the headers
 * supplied by libstdc++.
 *
 */

#ifndef __LIBSTDCXX_JUNOS_ASSERT_H__
#define __LIBSTDCXX_JUNOS_ASSERT_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Grab src/bsd/include/assert.h
 */
#include "../../../../../bsd/include/assert.h"

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_JUNOS_ASSERT_H__ */
