/*
 * $Id: ctype.h 783309 2016-05-29 20:43:57Z ib-builder $
 *
 * ctype.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007-2008, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/ctype.h.  pfe/include/ctype.h
 * lacks many of the defs which are needed by the C++ <ctype> header.
 */

#ifndef __LIBSTDCXX_JUNOS_CTYPE_H__
#define	__LIBSTDCXX_JUNOS_CTYPE_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Grab src/bsd/include/ctype.h
 */
#include "../../../../../bsd/include/ctype.h"

/*
 * Define va_copy if not already defined
 */
#ifndef va_copy
#define va_copy(d,s)    __builtin_va_copy((d),(s))
#endif

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_JUNOS_CTYPE_H__ */
