/*
 * $Id: stdlib.h 783309 2016-05-29 20:43:57Z ib-builder $
 *
 * stdlib.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/stdlib.h.  pfe/include/stdlib.h
 * lacks many of the defs which are needed by the C++ <cstdlib> header.
 */

#ifndef __LIBSTDCXX_NATIVE_STDLIB_H__
#define __LIBSTDCXX_NATIVE_STDLIB_H__

#ifdef __cplusplus
extern "C" {
#endif

#undef abs

#ifdef __linux__
#undef USE_SYSTEM_STDLIB_H
#define USE_SYSTEM_STDLIB_H
#include_next <stdlib.h>
#else
#include </usr/include/stdlib.h>
#endif

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_NATIVE_STDLIB_H__ */
