/*
 * $Id: time.h 658455 2014-07-12 02:36:59Z ib-builder $
 *
 * time.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/time.h.  pfe/include/time.h is a
 * ukern-specific file which doesn't provide the standard Posix time APIs.
 */

#ifndef __LIBSTDCXX_NATIVE_TIME_H__
#define __LIBSTDCXX_NATIVE_TIME_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __linux__
#define USE_SYSTEM_TIME_H
#include_next <time.h>
#else
#include </usr/include/time.h>
#endif

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_NATIVE_TIME_H__ */
